Package org.zkoss.zul

## Interface GroupRendererExt

-     public interface GroupRendererExt

  Provides additional control to `RowRenderer` for instantiating `Group` and `Groupfoot`.
  Since:
    3.5.0
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Group` | `newGroup​(Grid grid)` | Creates an instance of `Group` for rendering.
    `Groupfoot` | `newGroupfoot​(Grid grid)` | Creates an instance of `Groupfoot` for rendering.

- - ### Method Detail

    - #### newGroup

          Group newGroup​(Grid grid)

      Creates an instance of `Group` for rendering. The created component will be passed to `RowRenderer.render(org.zkoss.zul.Row, T, int)`.

      Note: remember to invoke `AbstractComponent.applyProperties()` to initialize the properties, defined in the component definition, properly.

      If null is returned, the default row is created as follow.

                  final Group group = new Group();
                  group.applyProperties();
                  return group;

      Note: DO NOT call `AbstractComponent.setParent(org.zkoss.zk.ui.Component)`.

      Returns:
        the group if you'd like to create it differently, or null if you want `Grid` to create it for you

    - #### newGroupfoot

          Groupfoot newGroupfoot​(Grid grid)

      Creates an instance of `Groupfoot` for rendering. The created component will be passed to `RowRenderer.render(org.zkoss.zul.Row, T, int)`.

      Note: remember to invoke `AbstractComponent.applyProperties()` to initialize the properties, defined in the component definition, properly.

      If null is returned, the default row is created as follow.

                  final Groupfoot groupfoot = new Groupfoot();
                  groupfoot.applyProperties();
                  return groupfoot;

      Note: DO NOT call `AbstractComponent.setParent(org.zkoss.zk.ui.Component)`.

      Returns:
        the groupfoot if you'd like to create it differently, or null if you want `Grid` to create it for you